Bug 434007 - brutus-keyring failed massrebuild attempt for GCC 4.3
brutus-keyring failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: brutus-keyring (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:54 EST by Jesse Keating
Modified: 2013-01-09 21:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 20:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:54:59 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=436880
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-23 14:22:13 EST
cc1: warnings being treated as errors
main.c: In function 'main':
main.c:443: error: the address of 'ev' will always evaluate as 'true'
main.c:453: error: the address of 'ev' will always evaluate as 'true'
main.c:459: error: the address of 'ev' will always evaluate as 'true'
main.c:465: error: the address of 'ev' will always evaluate as 'true'
main.c:471: error: the address of 'ev' will always evaluate as 'true'
main.c:479: error: the address of 'ev' will always evaluate as 'true'
main.c:508: error: the address of 'ev' will always evaluate as 'true'
main.c:517: error: the address of 'ev' will always evaluate as 'true'
main.c:523: error: the address of 'ev' will always evaluate as 'true'
main.c:529: error: the address of 'ev' will always evaluate as 'true'
main.c:535: error: the address of 'ev' will always evaluate as 'true'
main.c:543: error: the address of 'ev' will always evaluate as 'true'
main.c:548: error: the address of 'ev' will always evaluate as 'true'
make[4]: *** [main.o] Error 1
make[4]: Leaving directory `/builddir/build/BUILD/brutus-keyring-0.9.0/src'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/builddir/build/BUILD/brutus-keyring-0.9.0/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/builddir/build/BUILD/brutus-keyring-0.9.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/brutus-keyring-0.9.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.42915 (%build)
Comment 2 Jules Colding 2008-02-25 03:00:06 EST
I strongly believe that all of these warnings are fixed upstream (svn trunk).
Comment 3 Brian Pepple 2008-02-25 10:30:22 EST
(In reply to comment #2)
> I strongly believe that all of these warnings are fixed upstream (svn trunk).

I'm out of town on vacation, and once I'm back I'll grab the latest trunk.
Comment 4 Jules Colding 2008-02-25 12:02:38 EST
OK, please yell at me if it still misbehaves :-)
Comment 5 Bug Zapper 2008-05-14 01:22:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 FTBFS 2008-09-05 12:10:17 EDT
This package has Failed to Build From Source for many months.  Per
http://fedoraproject.org/wiki/FTBFS, this package is now proposed for
removal from the distribution.  Please address this FTBFS bug
immediately, or this package will be removed from the distribution
within the next few weeks.

Thank you for your continued contributions to Fedora, and your
commitment to ensuring Fedora packages remain buildable from source
code.
Comment 7 Jules Colding 2008-09-05 13:58:46 EDT
brutus-keyring is at 0.9.30 so this copy is ancient. Please, please update from upstream?

Thanks,
  jules
Comment 8 Jules Colding 2008-09-05 14:27:07 EDT
There are also fresh rawhide RPMs here:

http://www.42tools.com/sites/default/files/downloads/dist/brutus-keyring/Rawhide/

Thanks,
  jules

Note You need to log in before you can comment on or make changes to this bug.